/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.sca.itest.builder;

import org.oasisopen.sca.annotation.Reference;
import org.oasisopen.sca.annotation.Service;

/**
 * Implementation class for ComponentD.
 * 
 * @version $Rev: 825484 $ $Date: 2009-10-15 13:53:26 +0100 (Thu, 15 Oct 2009) $
 */
@Service({Service3.class, Service3a.class})
public class ComponentDImpl implements Service3, Service3a {

    @Reference
    protected Service3a reference3;

    public String getGreetings(String name) {
        return "Hello, " + name + "!";
    }

    public String getGreetings2(String name) {
        return "Goodbye, " + name + "!";
    }

}
