/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.tuscany.sca.assembly.xml;

import org.apache.tuscany.sca.assembly.DistributedSCABinding;
import org.apache.tuscany.sca.assembly.SCABinding;
import org.apache.tuscany.sca.assembly.SCABindingFactory;

/**
 * A factory for the SCA binding model.
 *
 * @version $Rev: 776005 $ $Date: 2009-05-18 17:46:33 +0100 (Mon, 18 May 2009) $
 */
public class TestSCABindingFactoryImpl implements SCABindingFactory {
    public SCABinding createSCABinding() {
        return new TestSCABindingImpl();
    }

    public DistributedSCABinding createDistributedSCABinding() {
        return null;
    }

}
