/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package sample;

import org.apache.tuscany.sca.node.Contribution;
import org.apache.tuscany.sca.node.ContributionLocationHelper;
import org.apache.tuscany.sca.node.Node;
import org.apache.tuscany.sca.node.NodeFactory;

/**
 * This client program shows how to create an SCA runtime, start it,
 * and locate and invoke a SCA component 
 */
public class SampleClientImpl {
    public static void main(String[] args) throws Exception {
        String location = ContributionLocationHelper.getContributionLocation(SampleClient.class);
        Node node = NodeFactory.newInstance().createNode(new Contribution("c1", location));
        
        node.start();

        SampleClient sampleClient = node.getService(SampleClient.class, "SampleClient");
        sampleClient.runSample();
        
        node.stop();

    }

}
